Lucene - Core
  1. Lucene - Core
  2. LUCENE-781

NPE in MultiReader.isCurrent() and getVersion()

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: core/index
    • Labels:
      None
    • Lucene Fields:
      New, Patch Available

      Description

      I'm attaching a fix for the NPE in MultiReader.isCurrent() plus a testcase. For getVersion(), we should throw a better exception that NPE. I will commit unless someone objects or has a better idea.

      1. lucene-781.patch
        32 kB
        Michael Busch
      2. multireader_test.diff
        2 kB
        Daniel Naber
      3. multireader.diff
        4 kB
        Daniel Naber
      4. multireader.diff
        1 kB
        Daniel Naber
      5. multireader_test.diff
        2 kB
        Daniel Naber

        Issue Links

          Activity

          No work has yet been logged on this issue.

            People

            • Assignee:
              Michael Busch
              Reporter:
              Daniel Naber
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development